Gecode::ArrayTraits< IntVarArray > Class Reference

Traits of IntVarArray. More...

`#include <array-traits.hpp>`

## Public Types

typedef IntVarArray | StorageType
typedef IntVar | ValueType
typedef IntVarArgs | ArgsType

## Detailed Description

Traits of IntVarArray.

Definition at line 98 of file array-traits.hpp.

## Member Typedef Documentation

## StorageType

typedef IntVarArray Gecode::ArrayTraits< IntVarArray >::StorageType

Definition at line 100 of file array-traits.hpp.

## ValueType

typedef IntVar Gecode::ArrayTraits< IntVarArray >::ValueType

Definition at line 101 of file array-traits.hpp.

## ArgsType

typedef IntVarArgs Gecode::ArrayTraits< IntVarArray >::ArgsType

Definition at line 102 of file array-traits.hpp.

The documentation for this class was generated from the following file:

- gecode/int/array-traits.hpp